Bug 2230512 - Package clamav contains copy of html manual but it should only be in clamav-doc
Summary: Package clamav contains copy of html manual but it should only be in clamav-doc
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 38
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL: file:///usr/share/doc/clamav/html/ind...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-08-09 15:16 UTC by Markus Linnala
Modified: 2024-04-08 16:08 UTC (History)
10 users (show)

Fixed In Version: clamav-1.0.4-1.el9 clamav-1.0.4-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-07 03:29:09 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Markus Linnala 2023-08-09 15:16:39 UTC
Because of:

https://src.fedoraproject.org/rpms/clamav/blame/clamav.spec?identifier=rawhide#_498

%{_pkgdocdir}/html/

package clamav contains html document as does clamav-doc package.

Usually it is the case that if there is separate doc subpackage, then main package does not any more contain most documents.

This is packaging error.

Reproducible: Always

Steps to Reproduce:
1. dnf install clamav clamav-doc
2. diff -ur /usr/share/doc/clamav /usr/share/doc/clamav-doc

Actual Results:  
Only in /usr/share/doc/clamav: NEWS.md
Only in /usr/share/doc/clamav: README.md


Expected Results:  
Only in /usr/share/doc/clamav-doc: html


clamav-1.0.1-4.fc38.x86_64
clamav-doc-1.0.1-4.fc38.noarch

Comment 1 Fedora Update System 2023-10-29 18:01:59 UTC
FEDORA-EPEL-2023-90d6559355 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-90d6559355

Comment 2 Fedora Update System 2023-10-29 18:02:00 UTC
FEDORA-2023-007e159ce2 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-007e159ce2

Comment 3 Fedora Update System 2023-10-30 01:57:30 UTC
FEDORA-EPEL-2023-90d6559355 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-90d6559355

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2023-10-30 02:30:15 UTC
FEDORA-2023-007e159ce2 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-007e159ce2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-007e159ce2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2023-11-07 03:29:09 UTC
FEDORA-EPEL-2023-90d6559355 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2023-11-07 04:15:04 UTC
FEDORA-2023-007e159ce2 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.